@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

:root {
    --max-width: 1920px;
    --narrow-width: 1100px;
    --page-width: 860px;
    --border-radius: 4px;
    --font-mono: ui-monospace, Menlo, Monaco, "Cascadia Mono", "Segoe UI Mono", "Roboto Mono", "Oxygen Mono", "Ubuntu Monospace", "Source Code Pro", "Fira Mono", "Droid Sans Mono", "Courier New", monospace;
    --transition-style: 0.5s cubic-bezier(0.25,0.1,0.25,1);
    --transition-easing: cubic-bezier(0.25,0.1,0.25,1);
    --background-light: #f6f6f4;
    --background-dark: #171717;
    --background-dark-new: #000f08;
    --background-inner: #fff;
    --background-secondary: #202020;
    --background-secondary-shade: #242424;
    --border-color: #575757;
    --border-color-dark: #ffffff1a;
    /* --brand-primary: #56e5a1;
    --brand-primary-shade: #93fcca;
    --brand-primary-shade-dark: #01ab81; */
    --font-dark: #000;
    --font-light: #fff;
    --font-gray: #a3b9c2;
    --font-light-shade: #d1d1d1;
    --font-light-shade-dark: #c9c9c8;
    --error: #ff442b;
    --header-height: 82px;

    
    --brand-primary: #33baee;
    --brand-primary-shade: #60bef5;
    --brand-primary-shade-dark: #5cc1ea;
}


body {
    min-height: 100vh;
    /* font-family: 'Montserrat', 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; */
    background-color: var(--background-dark);
    color: var(--background-light);
    padding-top: 1rem;
    padding-left: 4rem;
    padding-right: 4rem;
}

.color-primary{
    color: var(--brand-primary);
}

.color-secondary{
    color: var(--brand-primary-shade);
}

.color-gray{
    color: var(--font-gray);
}

.color-light{
    color: var(--font-light);
}

.text-muted{
    color: var(--font-gray);
}

a {
    text-decoration: none;
    color: var(--font-light);
}
a:hover {
    text-decoration: none;
    color: var(--brand-primary);
    transition: ease-in-out 0.3s;
}

.primary-btn{
    background-color: var(--brand-primary);
    border: .2rem solid transparent;
    border-radius: var(--border-radius);
    color: var(--font-dark);
    cursor: pointer;
    padding: .5rem 3rem;
    transition: all var(--transition-style);
    text-align: center;
    font-size: inherit;
    font-weight: 600;
    display: inline-block;
}

.primary-btn:hover{
    background-color: var(--brand-primary-shade);
    color: var(--font-dark);
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
}

.primary-btn-outline{
    background-color: transparent;
    border: 2px solid var(--brand-primary);
    border-radius: var(--border-radius);
    color: var(--brand-primary);
    cursor: pointer;
    padding: .5rem 3rem;
    transition: all var(--transition-style);
    text-align: center;
    font-size: inherit;
    font-weight: 600;
    display: inline-block;
}

.primary-btn-outline:hover{
    background-color: var(--brand-primary);
    color: var(--font-dark);
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
}

.primary-btn-inline-border{
    background-color: transparent;
    border: 1px solid var(--brand-primary);
    color: var(--brand-primary);
}

.primary-btn-inline-border-selected{
    background-color: var(--brand-primary-shade);
    color: var(--font-dark);
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
}

.small-btn{
    background-color: var(--background-secondary);
    color: var(--font-light);
    padding: .5rem;
    border-radius: var(--border-radius);
    font-size: 12px;
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
    border: 1px solid var(--brand-primary);
}

.small-btn:hover{
    background-color: var(--brand-primary);
    color: var(--font-dark);
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: transparent;
    /* position: relative; */
    position: sticky;
    /* width: 100%; */
    padding: 20px 10px;
    backdrop-filter: blur(20px);
    top: 0;
    width: 100%;
    z-index: 1000;
    padding: 20px 10px;
}

.nav-logo{
    height: 30px;
    width: auto;
    margin-right: 7px;
}

.logo-section{
    display: flex;
    align-items: center;
}

.logo-section a{
    display: flex;
    align-items: center;
}

.logo-section span{
    color: var(--brand-primary);
    font-weight: bold;
    font-size: 1.5rem;
}

nav .nav-links{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2.5rem;
}

nav .nav-links a:hover{
    font-weight: bold;
}

li{
    list-style-type: none;
}

.mobile-menu{
    display: none;
    padding: 1rem 1rem;
}

.mobile-toggle{
    color: var(--brand-primary);
}

#mobile-menu-link{
    display: none;
}

#mobile-menu-item{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: var(--background-dark);
    padding: 1rem;
    padding-top: 20%;
    z-index: 1000;
    font-size: 20px;
    font-weight: bold;
    align-items: flex-start;
    /* backdrop-filter: blur(10px); */
}


.mobile-menu-cta{
    position: relative;
    bottom: -35%;
    width: 100%;
}

#mobile-menu-item>li{
    /* margin-bottom: 1rem; */
    font-size: 32px;
}

.mobile-menu-cta li{
    margin-bottom: 1rem;
}

.mobile-menu-cta a {
    width: 100%;
}

.welcome-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    text-align: center;
    min-height: 50vh;

}

.pricing-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    text-align: center;
    min-height: 50vh;
}

.main-title span{
    color: var(--brand-primary);
    display: block;
}

.generate-form{
    position: relative;
    margin-top: 3rem;
}
.url-input{
    height: 40px;
    width: 670px;
    border: 0;
    outline: 0;
    padding: 1.75rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: .3rem;
    background: transparent;
    border: 1px solid var(--border-color);
    color: var(--font-light);
}

.url-input:focus{
    border: 1px solid var(--brand-primary);
}

.generate-form button{
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
}

.shorten-result-div{
    display: none;
    width: 38%;
    justify-content: space-between;
    align-items: flex-start;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    background-color: var(--background-secondary);
    border-radius: var(--border-radius);
    margin-top: 1rem;
    
}


.shorten-status{
    display: flex;
    justify-content: space-between;
    width: 100%;
    font-weight: 500;
}

.copy{
    cursor: pointer;
    padding-left: 10px;
    color: var(--brand-primary);
    width: 40px;
    position: relative;
}


.copy:hover::after{
    content: "Copy to clipboard";
    white-space: nowrap;
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--background-secondary);
    color: var(--font-light);
    padding: .5rem;
    border-radius: var(--border-radius);
    font-size: 12px;
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
    border: 1px solid var(--brand-primary);
    z-index: 1;
}

.copy.copied::after {
    content: "Copied";
    white-space: nowrap;
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--background-secondary);
    color: var(--font-light);
    padding: .5rem;
    border-radius: var(--border-radius);
    font-size: 12px;
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
    border: 1px solid var(--brand-primary);
    z-index: 1;
}

.active{
    color: var(--brand-primary);
}

.pt-1{
    padding-top: 1rem;
}

.pt-2{
    padding-top: 2rem;
}

.pt-3{
    padding-top: 3rem;
}

.pt-4{
    padding-top: 4rem;
}

.pt-5{
    padding-top: 5rem;
}

.mt-1{
    margin-top: 1rem;
}

.mt-2{
    margin-top: 2rem;
}

.mt-3{
    margin-top: 3rem;
}

.mt-4{
    margin-top: 4rem;
}

.mt-5{
    margin-top: 5rem;
}

hr{
    border-bottom: 1px solid var(--border-color);
    width: 100%;
}

.line-mark {
    position: relative;
}

.line-mark:after {
    content: '';
    position: absolute;
    width: 100%;
    border-top: solid 3px var(--brand-primary);
    left: 0;
    bottom: -10px;
    border-radius: 50%;
    height: 8px;
    z-index: -1;
}


.pricing-cards{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    gap: 5rem;
    width: 100%
}

.card{
    border: 1px solid var(--font-light-shade);
    padding: 10px;
    border-radius: var(--border-radius);
    position: relative;
    width: 100%
}

.card:hover{
    border-color: var(--brand-primary-shade-dark);
    transition: ease-in-out 0.2s;
}

.card h3{
    color: var(--brand-primary);
}

.card p{
    font-size: small;
    color: var(--font-light-shade-dark);
}

.card hr{
    border-bottom: 1px solid var(--border-color);
    width: 100%;
    margin: 10px 0px;
}

.why-choose-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    text-align: center;
    min-height: 50vh;
}


.icon{
    height: 50px;
    width: auto;
    fill: var(--brand-primary);
}

.why-choose-cards{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 1rem;
}

.why-choose-cards .card{
    padding: 1rem;
    border-color: var(--border-color-dark);
    width: 100%;
}

.why-choose-cards .card:hover{
    border-color: var(--brand-primary);
    transition: ease-in-out 0.2s;
}

.why-choose-cards .card h3{
    color: var(--font-light);
}
.price{
    font-weight: bold;
    font-size: 14px;
}

.price span{
    font-weight: normal;
    font-size: 12px;
    color: var(--font-light);
}

.pricing-list{
    padding-bottom: 6rem;
}

.pricing-list li{
    display: flex;
    gap: 3rem;
    width: 100%;
    justify-content: space-between;
    font-size: 14px;
    line-height: 30px;
    align-items: center;
}

.tick{
    font-size: .75rem;
    font-weight: 700;
    color: var(--brand-primary);
    display: block;
    line-height: 18px;
    text-align: center;
    border-radius: 50px;
    background: transparent;
}

.feature-list > li > span{
    float: right;
}

.get-started-btn{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
}

.get-qoute-content{
    padding: 2rem;
}

.get-qoute{
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid var(--font-light-shade);
    padding: 2rem;
    background-color: transparent;
    background-image: url("/assets/img/bullseye-gradient.svg");
    background-attachment: fixed;
    background-size: cover;
}

.get-qoute-text{
    display: flex;
    flex-direction: column;
    gap: .75rem;
    align-items: center;
}

/* get started */
.get-started-btn{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
}

.get-started-content{
    padding: 2rem;
    display: flex;
    justify-content: center;
}

.get-started{
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid var(--font-light-shade);
    padding: 2rem;
    background-color: transparent;
    background-image: url("/assets/img/bullseye-gradient.svg");
    background-attachment: fixed;
    background-size: cover;
    width: 80%;
}

.get-started-text{
    display: flex;
    flex-direction: column;
    gap: .75rem;
    align-items: center;
}

/* next update */
.next-update-btn{
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
}

.next-update-content{
    padding: 2rem;
    display: flex;
    justify-content: center;
}

.next-update{
    display: flex;
    justify-content: space-around;
    align-items: center;
    border: 1px solid var(--font-light-shade);
    padding: 2rem;
    background-color: transparent;
    background-image: url("/assets/img/bullseye-gradient.svg");
    background-attachment: fixed;
    background-size: cover;
    width: 80%;
}

.next-update-text{
    display: flex;
    flex-direction: column;
    gap: .75rem;
    align-items: center;
}

.next-update-icon{
    height: 100px;
    width: auto;
    fill: var(--brand-primary);
}

footer{
    border-top: 1px solid var(--border-color);
    margin-top: 60px;
    padding: 2rem 1rem;
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-direction: column;
    align-items: center;
}

.footer-top{
    display: flex;
    gap: 2rem;
}

.footer-top a{
    color: var(--font-gray);
    transition: ease-in-out 0.3s;

    &:hover {
        color: var(--brand-primary);
    }

}

/* signup */
.signup-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    text-align: center;
    min-height: 50vh;
}

.signup-form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}

.form-group{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
    width: 100%;
}

.form-group label{
    text-transform: uppercase;
    font-weight: bold;
}

.signup-form input{
    height: 40px;
    width: 670px;
    border: 0;
    outline: 0;
    padding: 1.75rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: .3rem;
    background: transparent;
    border: 1px solid var(--border-color);
    color: var(--font-light);
}

.signup-form input:focus{
    border: 1px solid var(--brand-primary);
}

.signup-form button{
    background-color: var(--brand-primary);
    border: .2rem solid transparent;
    border-radius: var(--border-radius);
    color: var(--font-dark);
    cursor: pointer;
    padding: .5rem 3rem;
    transition: all var(--transition-style);
    text-align: center;
    font-size: inherit;
    font-weight: 600;
    display: inline-block;
    display: flex;
    width: 100%;
    justify-content: center;
}

.signup-form button:hover{
    background-color: var(--brand-primary-shade);
    color: var(--font-dark);
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
}

.signup-cta{
    display: flex;
    justify-content: center;
    gap: 1rem;
}

/* login */
.login-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    text-align: center;
    min-height: 50vh;
}

.login-form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}

.login-form input{
    height: 40px;
    width: 670px;
    border: 0;
    outline: 0;
    padding: 1.75rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: .3rem;
    background: transparent;
    border: 1px solid var(--border-color);
    color: var(--font-light);
}

.login-form input:focus{
    border: 1px solid var(--brand-primary);
}

.login-form button{
    background-color: var(--brand-primary);
    border: .2rem solid transparent;
    border-radius: var(--border-radius);
    color: var(--font-dark);
    cursor: pointer;
    padding: .5rem 3rem;
    transition: all var(--transition-style);
    text-align: center;
    font-size: inherit;
    font-weight: 600;
    display: inline-block;
    display: flex;
    width: 100%;
    justify-content: center;
}

.login-form button:hover{
    background-color: var(--brand-primary-shade);
    color: var(--font-dark);
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
}

.login-cta{
    display: flex;
    justify-content: center;
    gap: 1rem;
}

/* contact */
.contact-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 2rem;
    text-align: center;
    min-height: 50vh;
}

.contact-form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}

.contact-form input{
    height: 40px;
    width: 670px;
    border: 0;
    outline: 0;
    padding: 1.75rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: .3rem;
    background: transparent;
    border: 1px solid var(--border-color);
    color: var(--font-light);
}

.contact-form input:focus{
    border: 1px solid var(--brand-primary);
}

.contact-form textarea{
    height: 100px;
    width: 670px;
    border: 0;
    outline: 0;
    padding: 1.75rem 1rem;
    font-size: 1.25rem;
    line-height: 1.5;
    border-radius: .3rem;
    background: transparent;
    border: 1px solid var(--border-color);
    color: var(--font-light);
}

.contact-form textarea:focus{
    border: 1px solid var(--brand-primary);
}

.contact-form button{
    background-color: var(--brand-primary);
    border: .2rem solid transparent;
    border-radius: var(--border-radius);
    color: var(--font-dark);
    cursor: pointer;
    padding: .5rem 3rem;
    transition: all var(--transition-style);
    text-align: center;
    font-size: inherit;
    font-weight: 600;
    display: inline-block;
    display: flex;
    width: 100%;
    justify-content: center;
}

.contact-form button:hover{
    background-color: var(--brand-primary-shade);
    color: var(--font-dark);
    box-shadow: 0 0.1rem 0.2rem rgba(0,0,0,.08);
}

.fremium-offer-list {
    list-style: none;
    padding: 0;
}

.fremium-offer-list li {
    display: flex;
    margin-bottom: 10px;
}

.fremium-offer-list li .tick {
    color: #4CAF50;
    margin-right: 5px;
    font-size: large;
}
  

/* spiner */
.loader {
    border: 2px solid #f3f3f3d2;
    border-top: 4px solid var(--background-secondary-shade);
    width: 20px;
    height: 20px;
    border-radius: 50%;
    animation: spin 1s ease-in-out infinite;
    -webkit-animation: spin 1s ease-in-out infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
  to { -webkit-transform: rotate(360deg); }
}

/* mobile menu show when screen size is md */
@media screen and (max-width: 768px){

    body{
        padding: 1rem 0!important;
    }

    nav{
        justify-content: space-between;
        padding: .5rem 1rem;
    }

    nav .nav-links{
        display: none;
    }

    .nav-cta{
        display: none;
    }

    .mobile-menu{
        display: block;
    }

    #mobile-toggle-open{
        cursor: pointer;
    }

    #mobile-toggle-close{
        cursor: pointer;
        display: none;
    }

    .generate-form{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }

    .url-input {
        width: calc(100% - .25rem); 
        max-width: none; /* Remove max-width restriction */
    }

    .generate-form button{
        position: relative;
        right: 0;
        top: 0;
        transform: none;
        width: 100%;
        font-size: 1.25rem;
        padding-top: .7rem;
        padding-bottom: .7rem;
        display: flex;
        justify-content: center;
    }


    .shorten-result-div{
        display: none;
        min-width: 100%;
    }

    .pricing-cards{
        flex-direction: column;
        gap: 2rem;
    }

    .get-qoute{
        flex-direction: column;
        gap: 2rem;
        text-align: center;
    }

    .get-started{
        flex-direction: column;
        gap: 2rem;
        text-align: center;
        width: 100%;
    }

    .next-update{
        flex-direction: column;
        gap: 2rem;
        text-align: center;
        width: 100%;
    }

    .signup-content{
        padding: 0rem;
    }

    .signup-form{
        width: 85%;
    }

    .signup-form input{
        width: 100%;
    }

    .signup-form button{
        width: 100%;
    }

    .login-content{
        padding: 0rem;
    }

    .login-form{
        width: 85%;
    }

    .login-form input{
        width: 100%;
    }

    .login-form button{
        width: 100%;
    }

    .contact-content{
        padding: 0rem;
    }

    .contact-form{
        width: 85%;
    }

    .contact-form input{
        width: 100%;
    }

    .contact-form textarea{
        width: 100%;
    }

    .contact-form button{
        width: 100%;
    }

    .display-error{
        width: 100%;
    }

}

.hidden{
    display: none;
}

.display-error{
    display: none;
    padding: 6px 109px;
    background-color: #f0f8ff24;
    color: #fc7584;
}

